Printago API
POST /v1/parts/create-skus

Create SKUs from parts

Create SKU products from selected parts. Each part becomes a new SKU with the part linked to it.

Requires: sku.create

Request Body

Array of part-to-SKU mappings with custom names

RequestBody
Array of objects, each with:
partIdrequired
string
skuNamerequired
string

Example Request

application/json
[
  {
    "partId": "string",
    "skuName": "string"
  }
]

Response Schema

Sku[]
Array of Sku, each with:
createdAtrequired
string
format: date-time
customMetadataoptional
Record<string, any>
Construct a type with a set of properties K of type T
descriptionrequired
string
externalIdrequirednullable
string
externalProviderrequirednullable
"etsy" | "shopify"
etsyshopify
folderIdoptionalnullable
string
pattern: ^[a-z0-9]{24}$
idrequired
string
pattern: ^[a-z0-9]{24}$
skurequired
string
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
titlerequired
string
totalCogsrequired
number
updatedAtrequired
string
format: date-time

Example Response

201 OK — application/json
[
  {
    "sku": "string",
    "title": "string",
    "description": "string",
    "externalId": "string",
    "externalProvider": "etsy",
    "folderId": "string",
    "totalCogs": 1,
    "customMetadata": {},
    "id": "string",
    "storeId": "string",
    "createdAt": "2025-01-15T12:00:00.000Z",
    "updatedAt": "2025-01-15T12:00:00.000Z"
  }
]